Bug 738096 - Power virtual serial driver fails to connect
Summary: Power virtual serial driver fails to connect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: ppc64
OS: All
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 21:40 UTC by IBM Bug Proxy
Modified: 2011-11-14 19:40 UTC (History)
8 users (show)

Fixed In Version: kernel-3.1.0-0.rc6.git0.3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-24 04:37:50 UTC


Attachments (Terms of Use)
[PATCH] hvcs: Ensure page aligned partner info buffer (1.34 KB, text/plain)
2011-09-13 21:40 UTC, IBM Bug Proxy
no flags Details


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 75123 None None None Never

Description IBM Bug Proxy 2011-09-13 21:40:43 UTC
1. Feature Overview:
Feature Id: [75123]
a. Name of Feature: Power virtual serial driver fails to connect
b. Feature Description



2. Feature Details:
Sponsor: Power Virtualization
Architectures:  

Arch Specificity: ---
Affects Kernel Modules: ---
Delivery Mechanism: ---
Category: Kernel
Request Type: F16
d. Upstream Acceptance: ---
Sponsor Priority P3
f. Severity: high
IBM Confidential: ---
Code Contribution: ---
g. Component Version Target: ---

3. Business Case


4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Luciano Chavez, chavez@us.ibm.com

Technical contact(s):
Brian J. King, bjking1@us.ibm.com

=Comment: #1=================================================
   Brian J. King <brking&#64;us.ibm.com> - 

   
[PATCH] hvcs: Ensure page aligned partner info buffer

The Power platform requires the partner info buffer to be page aligned otherwise it will fail the partner info hcall with H_PARAMETER. Switch from using kmalloc to allocate this buffer to __get_free_page to ensure
page alignment.
=Comment: #2=================================================
   Brian J. King <brking&#64;us.ibm.com> - 

   This patch has been submitted upstream:

http://lists.ozlabs.org/pipermail/linuxppc-dev/2011-September/092887.html
=Comment: #3=================================================
   Brian J. King <brking&#64;us.ibm.com> - 

   The patch was loaded on the previously failing system. With the patch applied, the problem no longer occurs.

Comment 1 IBM Bug Proxy 2011-09-13 21:40:51 UTC
Created attachment 523015 [details]
[PATCH] hvcs: Ensure page aligned partner info buffer

Comment 2 Josh Boyer 2011-09-13 22:28:15 UTC
I have no problems adding this patch, but if this is headed to be merged for 3.1 it will find its way into f16 naturally.  How urgent is this?

Comment 3 Josh Boyer 2011-09-14 13:45:50 UTC
Brian mentioned this is needed to debug anaconda.  I'll add it to the kernel and it will be in the next build.

Comment 4 Fedora Update System 2011-09-16 13:58:37 UTC
kernel-3.1.0-0.rc6.git0.3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.3.fc16

Comment 5 Fedora Update System 2011-09-17 19:33:39 UTC
Package kernel-3.1.0-0.rc6.git0.3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.0-0.rc6.git0.3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-3.1.0-0.rc6.git0.3.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-24 04:37:10 UTC
kernel-3.1.0-0.rc6.git0.3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.